### Method

# Shell WindowTracker get_window_app

#### Declaration [src]

    ShellApp*
    shell_window_tracker_get_window_app (
      ShellWindowTracker* tracker,
      MetaWindow* metawin
    )

#### Description

No description available.

#### Parameters

`metawin`

  Type: `MetaWindow`

  A `MetaWindow`.

  The data is owned by the caller of the method.

#### Return value

Type: `ShellApp`

Application associated with window.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.